
import 'package:bar_tender_api_dart/src/barUnified/BarUnified.dart';
import 'package:json_annotation/json_annotation.dart';

class BarsMap {

  @JsonKey()
  final Map<int, BarUnified> bars;

  BarsMap ({
    required this.bars,
  });

  factory BarsMap.fromJson(Map<String, dynamic> json) {
    final Map<int, BarUnified> map = {};
    json.forEach((key, value) {
      map[int.parse(key)] = BarUnified.fromJson(value);
    });
    return BarsMap(bars: map);
  }

  Map<int, dynamic> toJson() => bars;

  static BarsMap empty(){
    return BarsMap(
      bars: {}
    );
  }

}