
import 'package:json_annotation/json_annotation.dart';
part 'Cup.g.dart';

@JsonSerializable()
class Cup {
  final int id;
  final String? codCup;
  final int idCustomer;
  final String? codCustomer;
  final String nfcAddress;
  final double volume;
  final DateTime dateAssociation;
  final String typology;


  const Cup({
    required this.id,
    required this.codCup,
    required this.idCustomer,
    required this.codCustomer,
    required this.nfcAddress,
    required this.volume,
    required this.dateAssociation,
    required this.typology,

  }) ;

  factory Cup.fromJson(Map<String, dynamic> json) => _$CupFromJson(json);
  Map<String, dynamic> toJson() => _$CupToJson(this);

  static Cup emptyCup(){
    return Cup(
      id: 0,
      codCup: '',
      idCustomer: 0,
      codCustomer: '',
      nfcAddress: '',
      volume: 0.0,
      dateAssociation: DateTime(0001, 1, 1),
      typology: '',

    );
  }

}