

import 'dart:convert';

import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/cup/Cup.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

class CupModel extends ListModel<Cup> {

  CupModel(): super(urlPath: CUP_API_PATH);

  @override
  String toJson(List<Cup> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<Cup> fromJson(dynamic json) => json.map((value) => Cup.fromJson(value));

}