
import 'package:json_annotation/json_annotation.dart';
part 'CustomerRole.g.dart';

@JsonSerializable()
class CustomerRole {
  final int id;
  final int idCustomer;
  final String? codCustomerRole;
  final String roleDescription;


  const CustomerRole({
    required this.id,
    required this.idCustomer,
    required this.codCustomerRole,
    required this.roleDescription,
  });

  factory CustomerRole.fromJson(Map<String, dynamic> json) => _$CustomerRoleFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerRoleToJson(this);

  static CustomerRole empty(){
    return const CustomerRole(
      id: 0,
      idCustomer: 0,
      codCustomerRole: '',
      roleDescription: '',
    );
  }

}