import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

import 'Dispenser.dart';

class DispenserModel extends ListModel<Dispenser> {

  int idCustomer = 0;

  DispenserModel(this.idCustomer):super(urlPath: _buildUrl(0));

  static String _buildUrl(int idCustomer) {
    return "$DISPENSER_BY_ID_CUSTOMER?id_customer=$idCustomer";
  }

  String updateUrl(int idCustomer) {
    this.idCustomer = idCustomer;
    urlPath = _buildUrl(idCustomer);
    return urlPath;
  }

  @override
  bool isValueEmpty() => value.isEmpty;

  @override
  List<Dispenser> fromJson(dynamic json) => (json as List).map((value) => Dispenser.fromJson(value)).toList();

}