import 'package:bar_tender_api_dart/src/dispenser/Dispenser.dart';
import 'package:bar_tender_api_dart/src/dispenser_ingredient/DispenserIngredient.dart';
import 'package:json_annotation/json_annotation.dart';
part 'DispenserWithIngredients.g.dart';

@JsonSerializable()
class DispenserWithIngredients {
  final Dispenser? a;
  @JsonKey(defaultValue: {})
  final Map<int, DispenserIngredient>? b;


  DispenserWithIngredients({
    required this.a,
    required this.b,
  });

  factory DispenserWithIngredients.fromJson(Map<String, dynamic> json) => _$DispenserWithIngredientsFromJson(json);
  Map<String, dynamic> toJson() => _$DispenserWithIngredientsToJson(this);

  factory DispenserWithIngredients.empty(){
    return DispenserWithIngredients(
      a: Dispenser.empty(),
      b: {}
    );
  }

}