import 'package:json_annotation/json_annotation.dart';
part 'Review.g.dart';

@JsonSerializable()
class Review {
  final int? id;
  final String? codReview;
  final int idBar;
  final String? codBar;
  int idCustomer;
  String? codCustomer;
  final double evaluation;
  final String description;


  Review({
    required this.id,
    required this.codReview,
    required this.idBar,
    required this.codBar,
    required this.idCustomer,
    required this.codCustomer,
    required this.evaluation,
    required this.description,
  }) ;

  factory Review.fromJson(Map<String, dynamic> json) => _$ReviewFromJson(json);
  Map<String, dynamic> toJson() => _$ReviewToJson(this);

  static Review emptyAddress(){
    return Review(
      id: -1,
      codReview: "-1",
      idBar: -1,
      codBar: "-1",
      idCustomer: -1,
      codCustomer: "-1",
      evaluation: 0,
      description: ""
    );
  }

}