import 'package:flutter/material.dart';

class RichTextTender extends StatelessWidget {
  final List<InlineSpan> children;
  final TextAlign textAlign;

  const RichTextTender({Key? key, required this.children, TextAlign? textAlign})
      : textAlign = textAlign ?? TextAlign.center,
        super(key: key);


  @override
  Widget build(BuildContext context) {
    return RichText(
      textAlign: textAlign,
      text: TextSpan(
        style: const TextStyle(color: Colors.black),
        children: children,
      ),
    );
  }



}