

import 'package:bar_tender_api_dart/src/TenderUI/TenderWrappers/TenderWrapper.dart';
import 'package:flutter/material.dart';

/// Serve per wrappere un child intorno al colore primario.
/// stadium: Specidica se si vuole avvolgere il contenuto in una pill o in un circle
class TenderWrapperRoundedBorder extends TenderWrapper {

  TenderWrapperRoundedBorder({
    Key? key,
    required Widget child,
    EdgeInsetsGeometry? padding,
    double? height,
    Color? color,
  }) : super(
    key: key,
    child: child,
    shape: RoundedRectangleBorder(
      borderRadius: BorderRadius.circular(20.0),
    ),
    padding: padding ?? const EdgeInsets.all(8.0),
    height: height,
    color: color,
  );

}