import 'dart:convert';

import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

import 'Address.dart';

class AddressModel extends ListModel<Address> {

  AddressModel(): super(urlPath: DRINK_API_PATH);

  @override
  String toJson(List<Address> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<Address> fromJson(dynamic json) => json.map((value) => Address.fromJson(value));

}