
import 'dart:convert';

import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/paths.dart';
import 'Bar.dart';

class BarModel extends ListModel<Bar> {

  BarModel(): super(urlPath: BAR_API_PATH);

  @override
  String toJson(List<Bar> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<Bar> fromJson(dynamic json) => (json as List).map((value) => Bar.fromJson(value)).toList();

}