import 'dart:convert';


import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

import 'ChartItem.dart';

class ChartItemModel extends ListModel<ChartItem> {

  ChartItemModel(): super(urlPath: CHART_ITEM_API_PATH);

  @override
  String toJson(List<ChartItem> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<ChartItem> fromJson(dynamic json) => json.map((value) => ChartItem.fromJson(value));

}