
import 'dart:convert';

import 'package:bar_tender_api_dart/src/models/ListModel.dart';
import 'package:bar_tender_api_dart/src/paths.dart';

import 'Drink.dart';

class DrinkModel extends ListModel<Drink> {

  DrinkModel(): super(urlPath: DRINK_API_PATH);

  @override
  String toJson(List<Drink> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<Drink> fromJson(dynamic json) => (json as List).map((value) => Drink.fromJson(value)).toList();

}