

import 'package:bar_tender_api_dart/src/apiClients/MapApiClient.dart';
import 'package:bar_tender_api_dart/src/models/Model.dart';

abstract class MapModel<K, E> extends Model<Map<K, E>> {

  MapModel({
    required String urlPath,
  }) : super(urlPath: urlPath, apiClient: MapApiClient<K, E>(), value: {});

  @override
  bool isValueEmpty() {
    return value.isEmpty;
  }

  void remove(K object) {
    value.remove(object);
    notifyListeners();
  }

}