
import 'dart:convert';

import 'package:bar_tender_api_dart/bar_tender_api_dart.dart';


class SimpleDispenserIngredientModel extends ListModel<SimpleDispenserIngredient> {

  SimpleDispenserIngredientModel(): super(urlPath: SIMPLE_DISPENSER_INGREDIENT);

  @override
  String toJson(List<SimpleDispenserIngredient> element) => jsonEncode(element.map((e) => e.toJson()).toList());

  @override
  List<SimpleDispenserIngredient> fromJson(dynamic json) => (json as List).map((value) => SimpleDispenserIngredient.fromJson(value)).toList();

}